////////////////////////////////////////////////////////////////////////////////
//
//  Copyright (C) 2003-2006 Adobe Macromedia Software LLC and its licensors.
//  All Rights Reserved. The following is Source Code and is subject to all
//  restrictions on such code as contained in the End User License Agreement
//  accompanying this product.
//
////////////////////////////////////////////////////////////////////////////////

package src.main
{

import flash.events.Event;
import flash.events.FocusEvent;
import flash.events.KeyboardEvent;
import flash.system.ApplicationDomain;
import flash.utils.describeType;
import mx.core.mx_internal;
import mx.automation.IAutomationObject;
import mx.automation.IAutomationEventDescriptor;
import flash.events.MouseEvent;

use namespace mx_internal;

/**
 * Event descriptor class (Used with Adobe's approval).
 * @author Adobe
 */
public class CustomAutomationEventDescriptor implements IAutomationEventDescriptor
{
	//--------------------------------------------------------------------------
	//
	//  Constructor
	//
	//--------------------------------------------------------------------------

    /**
     *  Constructor
     */
    public function CustomAutomationEventDescriptor(name:String,
                                               eventClassName:String,
                                               eventType:String,
                                               args:Array)
    {
        super();

        _name = name;
        _eventClassName = eventClassName;
        _eventType = eventType;
        _args = args;
    }

	//--------------------------------------------------------------------------
	//
	//  Properties
	//
	//--------------------------------------------------------------------------

	//----------------------------------
	//  name
	//----------------------------------

    /**
     *  @private
     */
    private var _name:String;

	/**
	 * @private
	 */
    public function get name():String
    {
        return _name;
    }

	//----------------------------------
	//  eventClassName
	//----------------------------------

    /**
     *  @private
     */
    private var _eventClassName:String;

	/**
	 * @private
	 */
    public function get eventClassName():String
    {
        return _eventClassName;
    }
    
	//----------------------------------
	//  eventType
	//----------------------------------

    /**
     *  @private
     */
    private var _eventType:String;

	/**
	 * @private
	 */
    public function get eventType():String
    {
        return _eventType;
    }
    
    //----------------------------------
	//  args
	//----------------------------------
	
     /**
     *  @private
     */
    private var _args:Array;
    
    /**
	 * @private
	 */
    public function get args():Array
    {
        return _args;
    }
    
	//--------------------------------------------------------------------------
	//
	//  Methods
	//
	//--------------------------------------------------------------------------

	/**
	 * @private
	 */
    public function record(target:IAutomationObject, event:Event):Array
    {
    	trace("custom record");
		var propertyDescriptors:Array = getArgDescriptors(target);
        
        var result:Array = [];
        var consecutiveDefaultValueCount:Number = 0;
        for (var i:int = 0; i < propertyDescriptors.length; i++)
        {
            var val:Object = event[propertyDescriptors[i].name];
            
            if(val is IAutomationObject)
            	val = IAutomationObject(val).automationValue;
            	
            // Check for the event type
            if(val is KeyboardEvent)
            	val = "KeyBoard";
            
            if(val is MouseEvent)
            	val = "Mouse";

            var isDefaultValueNull:Boolean = propertyDescriptors[i].defaultValue == "null";

            consecutiveDefaultValueCount = (!(val == null && isDefaultValueNull) && 
            								(propertyDescriptors[i].defaultValue == null || 
                                             val == null ||
                                             propertyDescriptors[i].defaultValue != val.toString())
                                            ? 0
                                            : consecutiveDefaultValueCount + 1);
            result.push(val);
        }

        result.splice(result.length - consecutiveDefaultValueCount, 
                      consecutiveDefaultValueCount);

        return result;

    }

    /**
     *
     */
    public function replay(target:IAutomationObject, args:Array):Object
    {
        return null;
    }

	/**
	 * @private
	 */
    public function getArgDescriptors(obj:IAutomationObject):Array
    {
       return _args;
    }
}

}
