/*
 * DisplayMock is a class that mocks up a application that the tests uses to ensure that
 * the functionality works.
 *
 * Copyright (c) 2007 Peter Nicolai Motzfeldt.
 * Licensed under open source. No warranty is provided
 */
package src.test
{
	import flash.display.Sprite;
	import flash.display.DisplayObject;
	import flash.display.DisplayObjectContainer;
	import mx.containers.Panel;
	import mx.controls.Button;
	import mx.core.Application;
	import mx.controls.ComboBox;
	import mx.controls.DataGrid;
	import flash.display.Sprite;
	import mx.automation.IAutomationManager;
	import mx.automation.Automation;
	import mx.automation.IAutomationObject;
	import mx.core.UIComponent;

	/**
	 * A mock object for unit testing the FunFX class.
	 * 
	 * @author Peter Nicolai Motzfeldt
	 * 
	 */
	public class DisplayMock extends Application
	{
		private var container:Panel;
		
		public function DisplayMock()
		{
			this.automationName = "DisplayMock";
			
			var COLOR_ARRAY:Array = 
            [{label:"Red", data:"#FF0000"},
            {label:"Green", data:"#00FF00"},
            {label:"Blue", data:"#0000FF"}];
			
			container = new Panel();
			container.automationName = "cPanel";
			var panel:Panel = new Panel();
			panel.automationName = "pPanel";
			var button:Button = new Button();
			button.automationName = "bButton";
			button.label = "Click";
			
			var cbBox:ComboBox = new ComboBox();
			cbBox.automationName = "cbBox";
			cbBox.dataProvider = COLOR_ARRAY;
			
			var grid:DataGrid = new DataGrid();
			grid.automationName = "dgGrid";
			grid.dataProvider = COLOR_ARRAY;
			
			panel.addChild(UIComponent(button));
			panel.addChild(UIComponent(cbBox));
			panel.addChild(UIComponent(grid));
			container.addChild(UIComponent(panel));
			this.addChild(UIComponent(container));
			
		}
		
		/**
		 * Returns the automationManager.
		 * @return The IAutomationManager of the application
		 * 
		 */
		public static function get automationManager():IAutomationManager
		{
			return Automation.automationManager;
		}
	}
}