/*
 * ObjectMock mocks a UIComponent.
 *
 * Copyright (c) 2007 Peter Nicolai Motzfeldt.
 * Licensed under open source. No warranty is provided
 */
package src.test
{
	import mx.core.UIComponent;
	import mx.controls.Label;
	import mx.automation.IAutomationObject;

	/**
	 * Mocks a UIComponent.
	 * @author Peter Nicolai Motzfeldt
	 * 
	 */
	public class ObjectMock extends UIComponent
	{
		/**
		 * Sets the numAutomationChildren to 1
		 * @return Number of children (set to 1)
		 * 
		 */
		public override function get numAutomationChildren():int
		{
			return 1;
		}
		
		/**
		 * Returns a ObjectMock object.
		 * @param index The position of the child
		 * @return The child object
		 * 
		 */
		public override function getAutomationChildAt(index:int):IAutomationObject
		{
			var label:ObjectMock = new ObjectMock();
			return label;
		}
		
		/**
		 * Returns the automationValue of the object
		 * @return The value "Test"
		 * 
		 */
		public override function get automationValue():Array
		{
			var temp:Array = new Array("Test");
			return temp;
		}
	}
}