require 'test/unit'
require 'funfx'

class AlertControlTest < Test::Unit::TestCase
  
  def setup
    @ie = Funfx.instance
    @ie.start
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.application("FlexObjectTest").link_bar("linkBar").change(:related_Object => "Alert Control")
  end
  
  def set_path
    assert_not_nil(@ie.ViewStack("vStack").box("Alert Control").panel("Alert Control"))
    @path = @ie.ViewStack("vStack").box("Alert Control").panel("Alert Control")
  end
  
  def test_control
    go_to_page
    set_path
    
    @path.button("bWorld").click
    assert_not_nil(@ie.alert("Message"))

    @ie.alert("Message").button("OK").click
    assert_nil(@ie.alert("Message"))
  end
        
end
