require 'test/unit'
require 'funfx'

class DatagridTest < Test::Unit::TestCase

  def setup
    @ie = Funfx.instance
    @ie.start(true)
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.link_bar("linkBar").change(:related_object => "DataGrid")
  end
  
  def set_path
    @path = @ie.view_stack("vStack").box("DataGrid").panel("dgPanel")
  end
  
  def test_control
    go_to_page
    set_path
    
    @path.data_grid("dg").select(:item_renderer => "Joanne Wall")
    pos = @path.data_grid("dg").selected_index
    assert_equal("Joanne Wall,555-219-2012,jwall@fictitious.com", @path.data_grid("dg").tabular_data(:start => pos, :end => pos))
    
    @path.data_grid("dg").drag_start(:dragged_item => "jwall@fictitious.com")
    @path.data_grid("dgDrop").drag_drop
    
    assert_equal("Joanne Wall,555-219-2012,jwall@fictitious.com", @path.data_grid("dgDrop").tabular_data)
  end
  
end
