require 'test/unit'
require 'funfx'

class MenuBarTest < Test::Unit::TestCase
  
  def setup
    @ie = Funfx.instance
    @ie.start
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.link_bar("linkBar").change(:related_object => "MenuBar")
  end
  
  def set_path
    assert_not_nil(@ie.view_stack("vStack").box("MenuBar").panel("MenuBar Control"))
    @path = @ie.view_stack("vStack").box("MenuBar").panel("MenuBar Control")
  end
  
  def test_control
    go_to_page
    set_path
    
    assert_not_nil(@path.menu_bar("menuBar"))
    
    menu = "Menu1"
    item = "MenuItem 1-B"
    item_data = "1B"
    
    @path.menu_bar("menuBar").show(:item_renderer => menu)
    @ie.menu(menu).select(:item_renderer => item)
    assert_equal("Label: " + item + "\nData: " + item_data, @ie.alert("Clicked menu item").text)
    
    @ie.alert("Clicked menu item").button("OK").click
    assert_nil(@ie.alert("Clicked menu item"))
    
    menu = "Menu2"
    item1 = "MenuItem 2-B"
    item2 = "SubMenuItem 3-A"
    item_data = "3A"
    
    @path.menu_bar("menuBar").show(:item_renderer => menu)
    @ie.menu(menu).show(:item_renderer => item1)
    @ie.menu(item1).select(:item_renderer => item2, :wait => 2)
    assert_equal("Label: " + item2 + "\nData: " + item_data, @ie.alert("Clicked menu item").text)
  end
  
end
