require 'test/unit'
require 'funfx'

class PopupMenuTest < Test::Unit::TestCase
  
  def setup
    @ie = Funfx.instance
    @ie.start
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.link_bar("linkBar").change(:related_object => "PopUpMenu")
  end
  
  def set_path
    assert_not_nil(@ie.view_stack("vStack").box("PopUpMenu").panel("PopUpMenuButton Control"))
    @path = @ie.view_stack("vStack").box("PopUpMenu").panel("PopUpMenuButton Control")
  end
  
  def test_control
    go_to_page
    set_path
    
    assert_not_nil(@path.pop_up_button("p2"))
    assert_nil(@ie.alert("Message"))
    
    name ="Calendar"
    
    
    @path.pop_up_button("p2").open
    @path.pop_up_button("p2").menu("Menu272").select(:item_renderer => name)
    
    assert_not_nil(@ie.alert("Message"))
    @ie.alert("Message").button("OK").click
    assert_nil(@ie.alert("Message"))
    
  end
  
end
