require 'test/unit'
require 'funfx'

class SyncTest < Test::Unit::TestCase
  
  def setup
    @ie = Funfx.instance
    @ie.start
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.link_bar("linkBar").change(:related_object => "SyncTest")
  end
  
  def set_path
    assert_not_nil(@ie.view_stack("vStack").box("SyncTest").panel("SyncTest"))
    @path = @ie.view_stack("vStack").box("SyncTest").panel("SyncTest")
  end
  
  def test_control
    go_to_page
    set_path

    @path.data_grid("dg").select(:item_renderer => "nr3", :wait => 20)

    pos = @path.data_grid("dg").selected_index
    assert_equal("nr3", @path.data_grid("dg").tabular_data(:start => pos, :end => pos))
  end
  
end
