require 'test/unit'
require 'funfx'

class TabNavigatorTest < Test::Unit::TestCase
  
  def setup
    @ie = Funfx.instance
    @ie.start(true)
    @ie.goto("localhost/FlexObjectTest.html", "FlexObjectTest")
  end
  
  def teardown
    @ie.unload
  end
  
  def go_to_page
    @ie.link_bar("linkBar").change(:related_object => "TabNavigator")
  end
  
  def set_path
    assert_not_nil(@ie.view_stack("vStack").box("TabNavigator").panel("TabNavigator Container"))
    @path = @ie.view_stack("vStack").box("TabNavigator").panel("TabNavigator Container")
  end
  
  def test_control
    go_to_page
    set_path
    
    assert(@path.box("View 1: Form/Tile").visible)
    assert(!@path.box("Sales Trends").visible)
    
    assert(@path.panel("Form").visible)
    assert(!@path.view_stack("vStack").panel("Tile").visible)
    
    @path.box("View 1: Form/Tile").view_stack("vStack").panel("Form").combo_box("myCombo").select(:item_renderer => "3")
    assert_equal("You chose: 3", @path.box("View 1: Form/Tile").view_stack("vStack").panel("Form").label("lBar").text)
    
    @path.box("View 1: Form/Tile").link_bar("lb").change(:related_object => "Tile")
    
    assert(!@path.box("View 1: Form/Tile").view_stack("vStack").panel("Form").visible)
    assert(@path.box("View 1: Form/Tile").view_stack("vStack").panel("Tile").visible)
    
    @path.tab_navigator("tabNav").change(:related_object => "Sales Trends")
    
    assert(!@path.box("View 1: Form/Tile").visible)
    assert(@path.box("Sales Trends").visible)

  end
  
end